Bug 1890439 - [ceph-ansible][ceph-containers] can not view the log for containerized ceph daemon using journalctl
Summary: [ceph-ansible][ceph-containers] can not view the log for containerized ceph d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2
Assignee: Dimitri Savineau
QA Contact: Ameena Suhani S H
Amrita
URL:
Whiteboard:
: 1902985 (view as bug list)
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-10-22 08:27 UTC by Hideshi Fukumoto
Modified: 2021-06-09 16:16 UTC (History)
14 users (show)

Fixed In Version: ceph-ansible-4.0.37-1.el8cp, ceph-ansible-4.0.37-1.el7cp
Doc Type: Bug Fix
Doc Text:
.Ceph container logs can be viewed by using the `journalctl` command Previously, Ceph container logs were not present in journald as Podman used Kubernetes file as the default log driver when running containers in detached mode and systemd type forking. With this release, the Ceph containers are configured with journald log driver and the logs are available using the `journalctl` command.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:58:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 5968 0 None closed podman: force log driver to journald 2021-02-18 01:06:25 UTC
Github ceph ceph-ansible pull 5988 0 None closed podman: force log driver to journald (bp #5968) 2021-02-18 01:06:25 UTC
Github ceph ceph-ansible pull 5989 0 None closed podman: force log driver to journald (bp #5968) 2021-02-18 01:06:25 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:58:33 UTC

Comment 9 Ameena Suhani S H 2020-11-23 12:16:12 UTC
The "journalctl" logs are available in container env verified using
ansible-2.9.15-1.el7ae.noarch
ceph-ansible-4.0.40-1.el7cp.noarch

Comment 12 Dimitri Savineau 2020-12-01 14:15:09 UTC
*** Bug 1902985 has been marked as a duplicate of this bug. ***

Comment 16 errata-xmlrpc 2021-01-12 14:58:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.